# FAL-WCPO model. Developed by Joel Rice (joelr@spc.int)on 21/11/2011
#_data_and_control_files: FAL.dat // FAL.ctl
#_SS-V3.21d-win64-safe;_05/22/2011;_Stock_Synthesis_by_Richard_Methot_(NOAA)_using_ADMB
# FISHERY DEFINITIONS		
1  #_N_Growth_Patterns
1 #_N_Morphs_Within_GrowthPattern 
#_Cond 1 #_Morph_between/within_stdev_ratio (no read if N_morphs=1)
#_Cond  1 #vector_Morphdist_(-1_in_first_val_gives_normal_approx)
#
#_Cond 0  #  N recruitment designs goes here if N_GP*nseas*area>1
#_Cond 0  #  placeholder for recruitment interaction request
#_Cond 1 1 1  # example recruitment design element for GP=1, seas=1, area=1
#
#_Cond 0 # N_movement_definitions goes here if N_areas > 1
#_Cond 1.0 # first age that moves (real age at begin of season, not integer) also cond on do_migration>0
#_Cond 1 1 1 2 4 10 # example move definition for seas=1, morph=1, source=1 dest=2, age1=4, age2=10
#
0 #_Nblock_Patterns
#_Cond 0 #_blocks_per_pattern 
# begin and end years of blocks
#
0.5 #_fracfemale 
0 #_natM_type:_0=1Parm; 1=N_breakpoints;_2=Lorenzen;_3=agespecific;_4=agespec_withseasinterpolate
  #_no additional input for selected M option; read 1P per morph
2 # GrowthModel: 1=vonBert with L1&L2; 2=Richards with L1&L2; 3=not implemented; 4=not implemented
1 #_Growth_Age_for_L1
12 #_Growth_Age_for_L2 (999 to use as Linf)
0 #_SD_add_to_LAA (set to 0.1 for SS2 V1.x compatibility)
1 #_CV_Growth_Pattern:  0 CV=f(LAA); 1 CV=F(A); 2 SD=F(LAA); 3 SD=F(A); 4 logSD=F(A)
1 #_maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity; 5=read fec and wt from wtatage.ss
#_placeholder for empirical age-maturity by growth pattern
8 #_First_Mature_Age
2 #_fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b; (4)eggs=a+b*L; (5)eggs=a+b*W
0 #_hermaphroditism option:  0=none; 1=age-specific fxn
3 #_parameter_offset_approach (1=none, 2= M, G, CV_G as offset from female-GP1, 3=like SS2 V1.x)
1 #_env/block/dev_adjust_method (1=standard; 2=logistic transform keeps in base parm bounds; 3=standard w/ no bound check)
#
#_growth_parms
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
 -3 3 0.18 0.2 0 0.8 -3 0 0 0 0 0 0 0 # NatM_p_1_Fem_GP_1
 70 100 90.9988 90.9988 0 10 -4 0 0 0 0 0.5 0 0 # L_at_Amin_Fem_GP_1
 40 350 233.882 233.882 0 10 -2 0 0 0 0 0.5 0 0 # L_at_Amax_Fem_GP_1
 0.05 0.15 0.0838 0.0838 0 0.8 -4 0 0 0 0 0.5 0 0 # VonBert_K_Fem_GP_1
 -10 10 1 1 0 0.8 -4 0 0 0 0 0.5 0 0 # Richards_Fem_GP_1
 0.01 1 0.085 0.0834877 0 0.8 -3 0 0 0 0 0.5 0 0 # CV_young_Fem_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # CV_old_Fem_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # NatM_p_1_Mal_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # L_at_Amin_Mal_GP_1
 -3 3 0 0 0 0.8 -2 0 0 0 0 0.5 0 0 # L_at_Amax_Mal_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # VonBert_K_Mal_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # Richards_Mal_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # CV_young_Mal_GP_1
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # CV_old_Mal_GP_1
 -3 3 2.92e-006 2.92e-006 0 0.8 -3 0 0 0 0 0.5 0 0 # Wtlen_1_Fem
 -3 3.5 3.15 3.15 0 0.8 -3 0 0 0 0 0.5 0 0 # Wtlen_2_Fem
 -3 300 215 55 0 0.8 -3 0 0 0 0 0.5 0 0 # Mat50%_Fem
 -3 3 -0.138 -0.138 0 0.8 -3 0 0 0 0 0.5 0 0 # Mat_slope_Fem
 -3 9 6 1 0 0.8 -3 0 0 0 0 0.5 0 0 # Eggs_scalar_Fem
 -3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0 # Eggs_exp_len_Fem
 -3 3 2.92e-006 2.92e-006 0 0.8 -3 0 0 0 0 0.5 0 0 # Wtlen_1_Mal
 -3 4 3.15 3.15 0 0.8 -3 0 0 0 0 0.5 0 0 # Wtlen_2_Mal
 -4 4 0 0 -1 99 -3 0 0 0 0 0.5 0 0 # RecrDist_GP_1
 -4 4 0 0 -1 99 -3 0 0 0 0 0.5 0 0 # RecrDist_Area_1
 -4 4 4 0 -1 99 -3 0 0 0 0 0.5 0 0 # RecrDist_Seas_1
 1 1 1 1 -1 99 -3 0 0 0 0 0.5 0 0 # CohortGrowDev
#
#_Cond 0  #custom_MG-env_setup (0/1)
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no MG-environ parameters
#
#_Cond 0  #custom_MG-block_setup (0/1)
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no MG-block parameters
#_Cond No MG parm trends 
#
#_seasonal_effects_on_biology_parms
 0 0 0 0 0 0 0 0 0 0 #_femwtlen1,femwtlen2,mat1,mat2,fec1,fec2,Malewtlen1,malewtlen2,L1,K
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no seasonal MG parameters
#
#_Cond -4 #_MGparm_Dev_Phase
#
#_Spawner-Recruitment
3 #_SR_function: 2=Ricker; 3=std_B-H; 4=SCAA; 5=Hockey; 6=B-H_flattop; 7=survival_3Parm
#_LO HI INIT PRIOR PR_type SD PHASE
 3 15 6.56893 12.3 0 10 1 # SR_LN(R0)
 0.2 0.7 0.409 0.5 2 0.05 -3 # SR_BH_steep
 0 2 0.1 0.6 0 0.8 -3 # SR_sigmaR
 -5 5 0 0 0 1 -3 # SR_envlink
 -5 5 0 0 0 1 -1 # SR_R1_offset
 0 0 0 0 -1 99 -99 # SR_autocorr
0 #_SR_env_link
1 #_SR_env_target_0=none;1=devs;_2=R0;_3=steepness
2 #do_recdev:  0=none; 1=devvector; 2=simple deviations
1995 # first year of main recr_devs; early devs can preceed this era
2009 # last year of main recr_devs; forecast devs start in following year
2 #_recdev phase 
1 # (0/1) to read 13 advanced options
 -5 #_recdev_early_start (0=none; neg value makes relative to recdev_start)
 -2 #_recdev_early_phase
 0 #_forecast_recruitment phase (incl. late recr) (0 value resets to maxphase+1)
 1 #_lambda for Fcast_recr_like occurring before endyr+1
 -2 #_last_early_yr_nobias_adj_in_MPD
 -1 #_first_yr_fullbias_adj_in_MPD
 2006 #_last_yr_fullbias_adj_in_MPD
 2007 #_first_recent_yr_nobias_adj_in_MPD
 0.85 #_max_bias_adj_in_MPD (-1 to override ramp and set biasadj=1.0 for all estimated recdevs)
 0 #_period of cycles in recruitment (N parms read below)
 -15 #min rec_dev
 15 #max rec_dev
 0 #_read_recdevs
#_end of advanced SR options
#
#_placeholder for full parameter lines for recruitment cycles
# read specified recr devs
#_Yr Input_value
#
#Fishing Mortality info 
0.2 # F ballpark for tuning early phases
1996 # F ballpark year (neg value to disable)
3 # F_Method:  1=Pope; 2=instan. F; 3=hybrid (hybrid is recommended)
3 # max F or harvest rate, depends on F_Method
# no additional F input needed for Fmethod 1
# if Fmethod=2; read overall start F value; overall phase; N detailed inputs to read
# if Fmethod=3; read N iterations for tuning for Fmethod 3
3  # N iterations for tuning F in hybrid method (recommend 3 to 7)
#
#_initial_F_parms
#_LO HI INIT PRIOR PR_type SD PHASE
 0 1 0.1 0.1 0 99 -1 # InitF_1F_NonTarLL
 0 1 0 0.01 0 99 -1 # InitF_2F_YesTarLL
 0.05 1 0.05 0.1 0 99 -1 # InitF_3F_AssoPS
 0 1 0 0.01 0 99 -1 # InitF_4F_UnAssoPS
#
#_Q_setup
 # Q_type options:  <0=mirror, 0=median_float, 1=mean_float, 2=parameter, 3=parm_w_random_dev, 4=parm_w_randwalk, 5=mean_unbiased_float_assign_to_parm
 #_Den-dep  env-var  extra_se  Q_type
 0 0 0 0 # 1 F_NonTarLL
 0 0 0 0 # 2 F_YesTarLL
 0 0 0 0 # 3 F_AssoPS
 0 0 0 0 # 4 F_UnAssoPS
 0 0 0 0 # 5 S_NonTarLL
 0 0 0 0 # 6 S_YesTarLL
 0 0 0 0 # 7 S_AssoPS
 0 0 0 0 # 8 S_UnAssoPS
#
#_Cond 0 #_If q has random component, then 0=read one parm for each fleet with random q; 1=read a parm for each year of index
#_Q_parms(if_any)
#
#_size_selex_types
#_Pattern Discard Male Special
 24 0 0 0 # 1 F_NonTarLL
 24 0 0 0 # 2 F_YesTarLL
 27 0 0 4 # 3 F_AssoPS
 1 0 0 0 # 4 F_UnAssoPS
 5 0 0 1 # 5 S_NonTarLL
 5 0 0 2 # 6 S_YesTarLL
 5 0 0 3 # 7 S_AssoPS
 5 0 0 4 # 8 S_UnAssoPS
#
#_age_selex_types
#_Pattern ___ Male Special
 11 0 0 0 # 1 F_NonTarLL
 11 0 0 0 # 2 F_YesTarLL
 11 0 0 0 # 3 F_AssoPS
 11 0 0 0 # 4 F_UnAssoPS
 11 0 0 0 # 5 S_NonTarLL
 11 0 0 0 # 6 S_YesTarLL
 11 0 0 0 # 7 S_AssoPS
 11 0 0 0 # 8 S_UnAssoPS
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
 14 300 172.246 50 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_1_F_NonTarLL
 -15 15 -9.18625 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_2_F_NonTarLL
 -15 15 8.14063 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_3_F_NonTarLL
 -15 15 8.29226 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_4_F_NonTarLL
 -15 15 -15 0 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_5_F_NonTarLL
 -15 15 -15 0 -1 5 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_6_F_NonTarLL
 14 300 170.027 50 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_1_F_YesTarLL
 -15 15 -1.38388 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_2_F_YesTarLL
 -15 15 7.40335 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_3_F_YesTarLL
 -15 15 6.86228 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_4_F_YesTarLL
 -15 15 -15 0 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_5_F_YesTarLL
 -15 15 -15 0 -1 5 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_6_F_YesTarLL
 -15 15 0 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Code_F_AssoPS_3
 -15 15 0.0001 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_GradLo_F_AssoPS_3
 -15 15 -0.0001 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_GradHi_F_AssoPS_3
 40 240 100 200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_1_F_AssoPS_3
 40 240 150 200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_2_F_AssoPS_3
 40 240 175 200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_3_F_AssoPS_3
 40 240 225 200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_4_F_AssoPS_3
 -15 15 8.37772 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_1_F_AssoPS_3
 -15 15 6.82497 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_2_F_AssoPS_3
 -15 15 5.77554 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_3_F_AssoPS_3
 0 15 3.04248 0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_4_F_AssoPS_3
 1 200 62.7967 50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_4P_1_F_UnAssoPS
 -200 200 7.67376 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_4P_2_F_UnAssoPS
 1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_5P_1_S_NonTarLL
 1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_5P_2_S_NonTarLL
 1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_6P_1_S_YesTarLL
 1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_6P_2_S_YesTarLL
 1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_7P_1_S_AssoPS
 1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_7P_2_S_AssoPS
 1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_8P_1_S_UnAssoPS
 1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_8P_2_S_UnAssoPS
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_1P_1_F_NonTarLL
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_1P_2_F_NonTarLL
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_2P_1_F_YesTarLL
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_2P_2_F_YesTarLL
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_3P_1_F_AssoPS
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_3P_2_F_AssoPS
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_4P_1_F_UnAssoPS
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_4P_2_F_UnAssoPS
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_5P_1_S_NonTarLL
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_5P_2_S_NonTarLL
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_6P_1_S_YesTarLL
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_6P_2_S_YesTarLL
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_7P_1_S_AssoPS
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_7P_2_S_AssoPS
 1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_8P_1_S_UnAssoPS
 1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 # AgeSel_8P_2_S_UnAssoPS
#_Cond 0 #_custom_sel-env_setup (0/1) 
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no enviro fxns
#_Cond 0 #_custom_sel-blk_setup (0/1) 
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no block usage
#_Cond No selex parm trends 
#_Cond -4 # placeholder for selparm_Dev_Phase
#_Cond 0 #_env/block/dev_adjust_method (1=standard; 2=logistic trans to keep in base parm bounds; 3=standard w/ no bound check)
#
# Tag loss and Tag reporting parameters go next
0  # TG_custom:  0=no read; 1=read if tags exist
#_Cond -6 6 1 1 2 0.01 -4 0 0 0 0 0 0 0  #_placeholder if no parameters
#
1 #_Variance_adjustments_to_input_values
#_fleet: 1 2 3 4 5 6 7 8 
  0 0 0 0 0 0 0 0 #_add_to_survey_CV
  0 0 0 0 0 0 0 0 #_add_to_discard_stddev
  0 0 0 0 0 0 0 0 #_add_to_bodywt_CV
  0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 #_mult_by_lencomp_N
  1 1 1 1 1 1 1 1 #_mult_by_agecomp_N
  1 1 1 1 1 1 1 1 #_mult_by_size-at-age_N
#
1 #_maxlambdaphase
1 #_sd_offset
#
24 # number of changes to make to default Lambdas (default value is 1.0)
# Like_comp codes:  1=surv; 2=disc; 3=mnwt; 4=length; 5=age; 6=SizeFreq; 7=sizeage; 8=catch; 
# 9=init_equ_catch; 10=recrdev; 11=parm_prior; 12=parm_dev; 13=CrashPen; 14=Morphcomp; 15=Tag-comp; 16=Tag-negbin
#like_comp fleet/survey  phase  value  sizefreq_method
 1 1 1 0 1
 1 2 1 0 1
 1 3 1 0 1
 1 4 1 0 1
 1 5 1 1 1
 1 6 1 0 1
 1 7 1 0 1
 1 8 1 0 1
 4 1 1 1 1
 4 2 1 1 1
 4 3 1 1 1
 4 4 1 1 1
 4 5 1 0 1
 4 6 1 0 1
 4 7 1 0 1
 4 8 1 0 1
 9 1 1 0 1
 9 2 1 0 1
 9 3 1 0 1
 9 4 1 0 1
 9 5 1 0 1
 9 6 1 0 1
 9 7 1 0 1
 9 8 1 0 1
#
# lambdas (for info only; columns are phases)
#  0 #_CPUE/survey:_1
#  0 #_CPUE/survey:_2
#  0 #_CPUE/survey:_3
#  0 #_CPUE/survey:_4
#  1 #_CPUE/survey:_5
#  0 #_CPUE/survey:_6
#  0 #_CPUE/survey:_7
#  0 #_CPUE/survey:_8
#  1 #_lencomp:_1
#  1 #_lencomp:_2
#  1 #_lencomp:_3
#  1 #_lencomp:_4
#  0 #_lencomp:_5
#  0 #_lencomp:_6
#  0 #_lencomp:_7
#  0 #_lencomp:_8
#  0 #_init_equ_catch
#  1 #_recruitments
#  1 #_parameter-priors
#  1 #_parameter-dev-vectors
#  1 #_crashPenLambda
0 # (0/1) read specs for more stddev reporting 
 # 0 1 -1 5 1 5 1 -1 5 # placeholder for selex type, len/age, year, N selex bins, Growth pattern, N growth ages, NatAge_area(-1 for all), NatAge_yr, N Natages
 # placeholder for vector of selex bins to be reported
 # placeholder for vector of growth ages to be reported
 # placeholder for vector of NatAges ages to be reported
999

